Skip to main content
List All Payments

Authorizations

Authorization
string
header
required

Authorization header containing an SDP JWT (ES256) or an SDP_ API key.

Headers

X-Wallet-Id
string

Optional. Narrows the results to a single distribution account. Omit it to cover every account you have access to.

Query Parameters

page
number
default:1

The page requested.

q
string

Search payments by ID, external_payment_id, receiver wallet address, or disbursement name.

type
enum<string>

Type of payments

Available options:
DIRECT,
DISBURSEMENT
page_limit
number
default:20

Define how many results will be returned in the response.

status
enum<string>

Exact match on the status of the payment.

Available options:
DRAFT,
READY,
PENDING,
PAUSED,
SUCCESS,
FAILED,
CANCELED
receiver_id
string

UUID that represents a receiver in the database

created_at_after
string

Only return payments that are created after this date. Format: YYYY-MM-DD

created_at_before
string

Only return payments that are created before this date. Format: YYYY-MM-DD

sort
enum<string>
default:updated_at

Field used to sort payments

Available options:
updated_at,
created_at
direction
enum<string>
default:desc

Direction for sorting payments.

Available options:
asc,
desc

Response

A paginated list of payments

pagination
object
data
object[]